Linux mail.vriendennsm.nl 6.1.0-51-amd64 #1 SMP PREEMPT_DYNAMIC Debian 6.1.177-1 (2026-07-16) x86_64
Apache/2.4.68 (Debian)
Server IP : 217.154.75.17 & Your IP : 216.73.216.195
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
snap /
core /
17284 /
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
2to3-3.5
96
B
-rwxr-xr-x
2025-08-20 18:01
[
50.7
KB
-rwxr-xr-x
2017-03-02 18:07
aa-enabled
22.16
KB
-rwxr-xr-x
2023-06-29 11:30
abootimg
18.27
KB
-rwxr-xr-x
2011-07-28 06:29
abootimg-pack-initrd
362
B
-rwxr-xr-x
2011-07-28 06:29
abootimg-unpack-initrd
272
B
-rwxr-xr-x
2011-07-28 06:29
addpart
18.45
KB
-rwxr-xr-x
2022-06-14 21:28
arch
30.7
KB
-rwxr-xr-x
2017-03-02 18:07
awk
642.72
KB
-rwxr-xr-x
2023-09-11 18:21
base32
38.73
KB
-rwxr-xr-x
2017-03-02 18:07
base64
38.73
KB
-rwxr-xr-x
2017-03-02 18:07
basename
30.67
KB
-rwxr-xr-x
2017-03-02 18:07
bashbug
6.79
KB
-rwxr-xr-x
2022-04-19 13:41
bootctl
74.44
KB
-rwxr-xr-x
2023-03-03 04:27
busctl
363.21
KB
-rwxr-xr-x
2023-03-03 04:27
c_rehash
6.05
KB
-rwxr-xr-x
2025-09-23 15:23
captoinfo
70.71
KB
-rwxr-xr-x
2024-03-06 17:01
catchsegv
3.26
KB
-rwxr-xr-x
2025-02-07 13:30
cautious-launcher
853
B
-rwxr-xr-x
2015-10-30 15:39
cgm
17.99
KB
-rwxr-xr-x
2016-01-18 18:55
chage
60.88
KB
-rwxr-sr-x
2024-02-07 10:59
chardet3
309
B
-rwxr-xr-x
2016-02-10 17:12
chardetect3
309
B
-rwxr-xr-x
2016-02-10 17:12
chattr
10.34
KB
-rwxr-xr-x
2022-06-03 20:47
chcon
62.92
KB
-rwxr-xr-x
2017-03-02 18:07
chfn
70.14
KB
-rwsr-xr-x
2024-02-07 10:59
chrt
26.67
KB
-rwxr-xr-x
2022-06-14 21:28
chsh
39.48
KB
-rwsr-xr-x
2024-02-07 10:59
ckbcomp
144.19
KB
-rwxr-xr-x
2019-04-10 21:25
cksum
30.67
KB
-rwxr-xr-x
2017-03-02 18:07
clear
6.08
KB
-rwxr-xr-x
2024-03-06 17:01
clear_console
10.27
KB
-rwxr-xr-x
2022-04-19 13:41
cloud-id
310
B
-rwxr-xr-x
2025-07-28 18:21
cloud-init
314
B
-rwxr-xr-x
2025-07-28 18:21
cloud-init-per
2.06
KB
-rwxr-xr-x
2021-03-19 14:37
cmp
42.67
KB
-rwxr-xr-x
2015-12-26 23:11
codepage
10.29
KB
-rwxr-xr-x
2016-09-22 17:33
comm
34.7
KB
-rwxr-xr-x
2017-03-02 18:07
compose
17.55
KB
-rwxr-xr-x
2015-10-30 15:39
console-conf
2.86
KB
-rwxr-xr-x
2017-01-25 22:18
crontab
35.23
KB
-rwxr-sr-x
2022-05-10 22:15
csplit
46.86
KB
-rwxr-xr-x
2017-03-02 18:07
ctstat
18.68
KB
-rwxr-xr-x
2019-04-16 12:37
cut
38.8
KB
-rwxr-xr-x
2017-03-02 18:07
dbus-cleanup-sockets
9.98
KB
-rwxr-xr-x
2023-09-14 10:58
dbus-daemon
218.95
KB
-rwxr-xr-x
2023-09-14 10:58
dbus-monitor
21.99
KB
-rwxr-xr-x
2023-09-14 10:58
dbus-run-session
9.98
KB
-rwxr-xr-x
2023-09-14 10:58
dbus-send
21.98
KB
-rwxr-xr-x
2023-09-14 10:58
dbus-update-activation-environment
13.98
KB
-rwxr-xr-x
2023-09-14 10:58
dbus-uuidgen
9.98
KB
-rwxr-xr-x
2023-09-14 10:58
deallocvt
10.3
KB
-rwxr-xr-x
2016-09-22 17:33
deb-systemd-helper
17.99
KB
-rwxr-xr-x
2016-02-29 12:24
deb-systemd-invoke
4.37
KB
-rwxr-xr-x
2016-02-29 12:24
debconf
2.79
KB
-rwxr-xr-x
2019-05-08 18:33
debconf-apt-progress
11.27
KB
-rwxr-xr-x
2019-05-08 18:33
debconf-communicate
608
B
-rwxr-xr-x
2019-05-08 18:33
debconf-copydb
1.68
KB
-rwxr-xr-x
2019-05-08 18:33
debconf-escape
647
B
-rwxr-xr-x
2019-05-08 18:33
debconf-set-selections
2.87
KB
-rwxr-xr-x
2019-05-08 18:33
debconf-show
1.78
KB
-rwxr-xr-x
2019-05-08 18:33
delpart
18.45
KB
-rwxr-xr-x
2022-06-14 21:28
dh_bash-completion
2.49
KB
-rwxr-xr-x
2015-08-18 19:47
dh_pypy
11.71
KB
-rwxr-xr-x
2019-08-16 00:59
dh_python3
11.91
KB
-rwxr-xr-x
2019-08-16 00:59
diff
123.08
KB
-rwxr-xr-x
2015-12-26 23:11
diff3
54.86
KB
-rwxr-xr-x
2015-12-26 23:11
dircolors
38.71
KB
-rwxr-xr-x
2017-03-02 18:07
dirname
30.67
KB
-rwxr-xr-x
2017-03-02 18:07
dotlockfile
14.51
KB
-rwxr-sr-x
2013-12-07 03:08
dpkg-deb
131.43
KB
-rwxr-xr-x
2022-05-27 10:37
du
119.17
KB
-rwxr-xr-x
2017-03-02 18:07
dumpimage
139.06
KB
-rwxr-xr-x
2019-06-12 09:45
ec2metadata
7.12
KB
-rwxr-xr-x
2020-09-29 18:17
edit
17.55
KB
-rwxr-xr-x
2015-10-30 15:39
editor
1.02
MB
-rwxr-xr-x
2025-10-06 22:02
env
30.67
KB
-rwxr-xr-x
2017-03-02 18:07
envsubst
34.51
KB
-rwxr-xr-x
2018-11-07 18:33
ex
1.02
MB
-rwxr-xr-x
2025-10-06 22:02
expand
30.73
KB
-rwxr-xr-x
2017-03-02 18:07
expiry
22.23
KB
-rwxr-sr-x
2024-02-07 10:59
expr
38.73
KB
-rwxr-xr-x
2017-03-02 18:07
factor
70.77
KB
-rwxr-xr-x
2017-03-02 18:07
faillog
18.25
KB
-rwxr-xr-x
2024-02-07 10:59
fallocate
22.56
KB
-rwxr-xr-x
2022-06-14 21:28
finalrd
2.1
KB
-rwxr-xr-x
2020-09-17 17:03
find
216.57
KB
-rwxr-xr-x
2016-02-07 23:18
flock
26.71
KB
-rwxr-xr-x
2022-06-14 21:28
fmt
38.7
KB
-rwxr-xr-x
2017-03-02 18:07
fold
34.7
KB
-rwxr-xr-x
2017-03-02 18:07
free
18.37
KB
-rwxr-xr-x
2023-11-01 07:23
fw_printenv
36.29
KB
-rwxr-xr-x
2019-06-12 09:45
fw_setenv
36.29
KB
-rwxr-xr-x
2019-06-12 09:45
fwupdate
13.99
KB
-rwxr-xr-x
2018-01-18 08:25
gawk
642.72
KB
-rwxr-xr-x
2023-09-11 18:21
gdbserver
408.53
KB
-rwxr-xr-x
2024-06-18 06:21
getconf
22.41
KB
-rwxr-xr-x
2025-02-07 13:34
getent
27.3
KB
-rwxr-xr-x
2025-02-07 13:34
getkeycodes
10.3
KB
-rwxr-xr-x
2016-09-22 17:33
getopt
14.43
KB
-rwxr-xr-x
2022-06-14 21:28
gettext
34.48
KB
-rwxr-xr-x
2018-11-07 18:33
gettext.sh
4.52
KB
-rwxr-xr-x
2018-11-07 18:33
gpasswd
73.54
KB
-rwsr-xr-x
2024-02-07 10:59
gpg
984.87
KB
-rwxr-xr-x
2022-07-12 00:13
gpg-zip
3.23
KB
-rwxr-xr-x
2022-07-12 00:13
gpgsplit
58.76
KB
-rwxr-xr-x
2022-07-12 00:13
gpgv
363.63
KB
-rwxr-xr-x
2022-07-12 00:13
groups
30.7
KB
-rwxr-xr-x
2017-03-02 18:07
growpart
20.99
KB
-rwxr-xr-x
2020-09-29 18:17
grub-editenv
228.78
KB
-rwxr-xr-x
2021-04-30 16:02
head
38.73
KB
-rwxr-xr-x
2017-03-02 18:07
helpztags
2.46
KB
-rwxr-xr-x
2016-04-08 11:39
hostid
26.64
KB
-rwxr-xr-x
2017-03-02 18:07
hostnamectl
287.2
KB
-rwxr-xr-x
2023-03-03 04:27
i386
14.38
KB
-rwxr-xr-x
2022-06-14 21:28
iconv
59
KB
-rwxr-xr-x
2025-02-07 13:34
id
38.83
KB
-rwxr-xr-x
2017-03-02 18:07
igawk
3.11
KB
-rwxr-xr-x
2023-09-11 18:21
infocmp
54.57
KB
-rwxr-xr-x
2024-03-06 17:01
infotocap
70.71
KB
-rwxr-xr-x
2024-03-06 17:01
install
135.59
KB
-rwxr-xr-x
2017-03-02 18:07
ionice
22.59
KB
-rwxr-xr-x
2022-06-14 21:28
ipcmk
22.69
KB
-rwxr-xr-x
2022-06-14 21:28
ipcrm
26.54
KB
-rwxr-xr-x
2022-06-14 21:28
ipcs
46.71
KB
-rwxr-xr-x
2022-06-14 21:28
ischroot
10.34
KB
-rwxr-xr-x
2016-01-26 18:17
join
46.77
KB
-rwxr-xr-x
2017-03-02 18:07
jsondiff
976
B
-rwxr-xr-x
2015-11-27 14:19
jsonpatch
3.58
KB
-rwxr-xr-x
2015-11-27 14:19
jsonpointer
1.31
KB
-rwxr-xr-x
2015-10-24 05:34
jwt3
288
B
-rwxr-xr-x
2017-08-29 18:41
kbdinfo
10.31
KB
-rwxr-xr-x
2016-09-22 17:33
kwboot
14.33
KB
-rwxr-xr-x
2019-06-12 09:45
last
38.84
KB
-rwxr-xr-x
2022-06-14 21:28
lastb
38.84
KB
-rwxr-xr-x
2022-06-14 21:28
lastlog
14.03
KB
-rwxr-xr-x
2024-02-07 10:59
lcf
7.6
KB
-rwxr-xr-x
2016-03-16 20:58
ldd
5.3
KB
-rwxr-xr-x
2025-02-07 13:30
less
194.3
KB
-rwxr-xr-x
2024-05-02 18:30
lessecho
14.24
KB
-rwxr-xr-x
2024-05-02 18:30
lessfile
8.83
KB
-rwxr-xr-x
2024-05-02 18:30
lesskey
23.63
KB
-rwxr-xr-x
2024-05-02 18:30
lesspipe
8.83
KB
-rwxr-xr-x
2024-05-02 18:30
line
10.32
KB
-rwxr-xr-x
2022-06-14 21:28
link
26.64
KB
-rwxr-xr-x
2017-03-02 18:07
linux-check-removal
3.99
KB
-rwxr-xr-x
2020-03-18 11:32
linux-update-symlinks
6.17
KB
-rwxr-xr-x
2020-03-18 11:32
linux-version
2.63
KB
-rwxr-xr-x
2020-03-18 11:32
linux32
14.38
KB
-rwxr-xr-x
2022-06-14 21:28
linux64
14.38
KB
-rwxr-xr-x
2022-06-14 21:28
lnstat
18.68
KB
-rwxr-xr-x
2019-04-16 12:37
loadunimap
26.66
KB
-rwxr-xr-x
2016-09-22 17:33
locale
37.91
KB
-rwxr-xr-x
2025-02-07 13:34
localectl
295.22
KB
-rwxr-xr-x
2023-03-03 04:27
localedef
315.71
KB
-rwxr-xr-x
2025-02-07 13:34
lockfile-check
14.25
KB
-rwxr-xr-x
2012-12-03 23:37
lockfile-create
14.25
KB
-rwxr-xr-x
2012-12-03 23:37
lockfile-remove
14.25
KB
-rwxr-xr-x
2012-12-03 23:37
lockfile-touch
14.25
KB
-rwxr-xr-x
2012-12-03 23:37
logger
35.35
KB
-rwxr-xr-x
2022-06-14 21:28
logname
26.67
KB
-rwxr-xr-x
2017-03-02 18:07
lsattr
10.33
KB
-rwxr-xr-x
2022-06-03 20:47
lscpu
55.12
KB
-rwxr-xr-x
2022-06-14 21:28
lsinitramfs
2.43
KB
-rwxr-xr-x
2019-10-07 10:53
lsipc
59
KB
-rwxr-xr-x
2022-06-14 21:28
lslocks
31.09
KB
-rwxr-xr-x
2022-06-14 21:28
lslogins
51.15
KB
-rwxr-xr-x
2022-06-14 21:28
lspgpot
1.06
KB
-rwxr-xr-x
2014-06-25 16:17
lzcat
67.11
KB
-rwxr-xr-x
2022-04-11 19:08
lzcmp
5.39
KB
-rwxr-xr-x
2022-04-11 19:08
lzdiff
5.39
KB
-rwxr-xr-x
2022-04-11 19:08
lzegrep
5.56
KB
-rwxr-xr-x
2022-04-11 19:08
lzfgrep
5.56
KB
-rwxr-xr-x
2022-04-11 19:08
lzgrep
5.56
KB
-rwxr-xr-x
2022-04-11 19:08
lzless
1.78
KB
-rwxr-xr-x
2022-04-11 19:08
lzma
67.11
KB
-rwxr-xr-x
2022-04-11 19:08
lzmainfo
10.31
KB
-rwxr-xr-x
2022-04-11 19:08
lzmore
2.12
KB
-rwxr-xr-x
2022-04-11 19:08
mail-lock
14.25
KB
-rwxr-sr-x
2012-12-03 23:37
mail-touchlock
14.25
KB
-rwxr-sr-x
2012-12-03 23:37
mail-unlock
14.25
KB
-rwxr-sr-x
2012-12-03 23:37
mapscrn
18.66
KB
-rwxr-xr-x
2016-09-22 17:33
mawk
115.01
KB
-rwxr-xr-x
2014-03-24 09:53
mcookie
26.71
KB
-rwxr-xr-x
2022-06-14 21:28
md5sum
42.77
KB
-rwxr-xr-x
2017-03-02 18:07
md5sum.textutils
42.77
KB
-rwxr-xr-x
2017-03-02 18:07
mesg
10.37
KB
-rwxr-xr-x
2022-06-14 21:28
mk_modmap
15.78
KB
-rwxr-xr-x
2016-09-22 17:33
mkenvimage
14.2
KB
-rwxr-xr-x
2019-06-12 09:45
mkfifo
58.95
KB
-rwxr-xr-x
2017-03-02 18:07
mkimage
143.06
KB
-rwxr-xr-x
2019-06-12 09:45
mkknlimg
5.87
KB
-rwxr-xr-x
2019-06-12 09:45
mksquashfs
174.12
KB
-rwxr-xr-x
2021-09-15 13:04
mksunxiboot
6.12
KB
-rwxr-xr-x
2019-06-12 09:45
mkswapfile
865
B
-rwxr-xr-x
2025-10-09 12:13
namei
26.58
KB
-rwxr-xr-x
2022-06-14 21:28
nawk
642.72
KB
-rwxr-xr-x
2023-09-11 18:21
newgrp
38.97
KB
-rwsr-xr-x
2024-02-07 10:59
ngettext
34.5
KB
-rwxr-xr-x
2018-11-07 18:33
nice
34.7
KB
-rwxr-xr-x
2017-03-02 18:07
nl
38.83
KB
-rwxr-xr-x
2017-03-02 18:07
nohup
30.7
KB
-rwxr-xr-x
2017-03-02 18:07
nproc
30.7
KB
-rwxr-xr-x
2017-03-02 18:07
nsenter
26.88
KB
-rwxr-xr-x
2022-06-14 21:28
nstat
22.47
KB
-rwxr-xr-x
2019-04-16 12:37
numfmt
58.86
KB
-rwxr-xr-x
2017-03-02 18:07
od
66.83
KB
-rwxr-xr-x
2017-03-02 18:07
openssl
545.97
KB
-rwxr-xr-x
2025-09-23 15:23
pager
166.73
KB
-rwxr-xr-x
2024-04-28 12:17
partx
75.63
KB
-rwxr-xr-x
2022-06-14 21:28
passwd
52.98
KB
-rwsr-xr-x
2024-02-07 10:59
paste
30.7
KB
-rwxr-xr-x
2017-03-02 18:07
pathchk
30.67
KB
-rwxr-xr-x
2017-03-02 18:07
pdb3
59.56
KB
-rwxr-xr-x
2025-08-20 18:01
pdb3.5
59.56
KB
-rwxr-xr-x
2025-08-20 18:01
perl
1.82
MB
-rwxr-xr-x
2023-05-23 17:16
perl5.22.1
1.82
MB
-rwxr-xr-x
2023-05-23 17:16
pg
38.91
KB
-rwxr-xr-x
2022-06-14 21:28
pgrep
26.63
KB
-rwxr-xr-x
2023-11-01 07:23
pinky
34.86
KB
-rwxr-xr-x
2017-03-02 18:07
pkill
26.63
KB
-rwxr-xr-x
2023-11-01 07:23
pldd
14.59
KB
-rwxr-xr-x
2025-02-07 13:34
plog
146
B
-rwxr-xr-x
2016-01-27 16:19
pmap
30.61
KB
-rwxr-xr-x
2023-11-01 07:23
poff
2.77
KB
-rwxr-xr-x
2016-01-27 16:19
pon
1.33
KB
-rwxr-xr-x
2016-01-27 16:19
pr
74.95
KB
-rwxr-xr-x
2017-03-02 18:07
print
17.55
KB
-rwxr-xr-x
2015-10-30 15:39
printenv
30.64
KB
-rwxr-xr-x
2017-03-02 18:07
printf
46.73
KB
-rwxr-xr-x
2017-03-02 18:07
prlimit
31.3
KB
-rwxr-xr-x
2022-06-14 21:28
probert
2.09
KB
-rwxr-xr-x
2017-02-17 02:26
psfaddtable
18.42
KB
-rwxr-xr-x
2016-09-22 17:33
psfgettable
18.42
KB
-rwxr-xr-x
2016-09-22 17:33
psfstriptable
18.42
KB
-rwxr-xr-x
2016-09-22 17:33
psfxtable
18.42
KB
-rwxr-xr-x
2016-09-22 17:33
ptx
66.95
KB
-rwxr-xr-x
2017-03-02 18:07
pwdx
10.36
KB
-rwxr-xr-x
2023-11-01 07:23
py3clean
7.62
KB
-rwxr-xr-x
2016-03-23 11:00
py3compile
11.83
KB
-rwxr-xr-x
2016-03-23 11:00
py3versions
11.44
KB
-rwxr-xr-x
2016-03-23 11:00
pybuild
21.33
KB
-rwxr-xr-x
2019-08-16 00:59
pydoc3
79
B
-rwxr-xr-x
2025-08-20 18:01
pydoc3.5
79
B
-rwxr-xr-x
2025-08-20 18:01
pygettext3
21.73
KB
-rwxr-xr-x
2025-08-20 18:01
pygettext3.5
21.73
KB
-rwxr-xr-x
2025-08-20 18:01
python3
4.25
MB
-rwxr-xr-x
2025-08-20 18:03
python3-jsondiff
976
B
-rwxr-xr-x
2015-11-27 14:19
python3-jsonpatch
3.58
KB
-rwxr-xr-x
2015-11-27 14:19
python3-jsonpointer
1.31
KB
-rwxr-xr-x
2015-10-24 05:34
python3.5
4.25
MB
-rwxr-xr-x
2025-08-20 18:03
python3.5m
4.25
MB
-rwxr-xr-x
2025-08-20 18:03
python3m
4.25
MB
-rwxr-xr-x
2025-08-20 18:03
rcp
86.14
KB
-rwxr-xr-x
2025-02-18 15:23
realpath
58.83
KB
-rwxr-xr-x
2017-03-02 18:07
rename.ul
14.41
KB
-rwxr-xr-x
2022-06-14 21:28
renice
10.38
KB
-rwxr-xr-x
2022-06-14 21:28
reset
18.42
KB
-rwxr-xr-x
2024-03-06 17:01
resizecons
18.6
KB
-rwxr-xr-x
2016-09-22 17:33
resizepart
34.86
KB
-rwxr-xr-x
2022-06-14 21:28
rev
10.38
KB
-rwxr-xr-x
2022-06-14 21:28
rgrep
30
B
-rwxr-xr-x
2016-03-04 17:02
rlogin
690.67
KB
-rwxr-xr-x
2025-02-18 15:23
routef
173
B
-rwxr-xr-x
2015-11-04 00:34
routel
1.23
KB
-rwxr-xr-x
2015-11-04 00:34
rsh
690.67
KB
-rwxr-xr-x
2025-02-18 15:23
rtstat
18.68
KB
-rwxr-xr-x
2019-04-16 12:37
run-mailcap
17.55
KB
-rwxr-xr-x
2015-10-30 15:39
runcon
34.8
KB
-rwxr-xr-x
2017-03-02 18:07
rview
1.02
MB
-rwxr-xr-x
2025-10-06 22:02
savelog
10.22
KB
-rwxr-xr-x
2016-01-26 18:17
sc-logresolve
816
B
-rwxr-xr-x
2015-11-19 15:43
scmp_sys_resolver
10.26
KB
-rwxr-xr-x
2022-04-29 14:07
scp
86.14
KB
-rwxr-xr-x
2025-02-18 15:23
screendump
10.33
KB
-rwxr-xr-x
2016-09-22 17:33
script
22.66
KB
-rwxr-xr-x
2022-06-14 21:28
scriptreplay
14.4
KB
-rwxr-xr-x
2022-06-14 21:28
sdiff
46.78
KB
-rwxr-xr-x
2015-12-26 23:11
see
17.55
KB
-rwxr-xr-x
2015-10-30 15:39
select-editor
1.19
KB
-rwxr-xr-x
2018-02-21 19:37
sensible-browser
1.11
KB
-rwxr-xr-x
2018-02-21 19:37
sensible-editor
1.08
KB
-rwxr-xr-x
2018-02-21 19:37
sensible-pager
288
B
-rwxr-xr-x
2018-02-21 19:37
seq
46.73
KB
-rwxr-xr-x
2017-03-02 18:07
setarch
14.38
KB
-rwxr-xr-x
2022-06-14 21:28
setkeycodes
10.29
KB
-rwxr-xr-x
2016-09-22 17:33
setleds
10.32
KB
-rwxr-xr-x
2016-09-22 17:33
setlogcons
10.27
KB
-rwxr-xr-x
2016-09-22 17:33
setmetamode
10.37
KB
-rwxr-xr-x
2016-09-22 17:33
setsid
10.38
KB
-rwxr-xr-x
2022-06-14 21:28
setterm
34.61
KB
-rwxr-xr-x
2022-06-14 21:28
sftp
134.36
KB
-rwxr-xr-x
2025-02-18 15:23
sg
38.97
KB
-rwsr-xr-x
2024-02-07 10:59
sha1sum
42.77
KB
-rwxr-xr-x
2017-03-02 18:07
sha224sum
50.77
KB
-rwxr-xr-x
2017-03-02 18:07
sha256sum
50.77
KB
-rwxr-xr-x
2017-03-02 18:07
sha384sum
54.77
KB
-rwxr-xr-x
2017-03-02 18:07
sha512sum
54.77
KB
-rwxr-xr-x
2017-03-02 18:07
showconsolefont
18.4
KB
-rwxr-xr-x
2016-09-22 17:33
showkey
14.34
KB
-rwxr-xr-x
2016-09-22 17:33
shred
54.92
KB
-rwxr-xr-x
2017-03-02 18:07
shuf
54.83
KB
-rwxr-xr-x
2017-03-02 18:07
skill
22.61
KB
-rwxr-xr-x
2023-11-01 07:23
slabtop
18.47
KB
-rwxr-xr-x
2023-11-01 07:23
slogin
690.67
KB
-rwxr-xr-x
2025-02-18 15:23
snap
15.88
MB
-rwxr-xr-x
2024-12-18 02:17
snapctl
6.15
MB
-rwxr-xr-x
2024-12-18 02:17
snapfuse
38.74
KB
-rwxr-xr-x
2024-12-18 02:17
snice
22.61
KB
-rwxr-xr-x
2023-11-01 07:23
sort
107.46
KB
-rwxr-xr-x
2017-03-02 18:07
split
67.41
KB
-rwxr-xr-x
2017-03-02 18:07
splitfont
10.27
KB
-rwxr-xr-x
2016-09-22 17:33
ssh
690.67
KB
-rwxr-xr-x
2025-02-18 15:23
ssh-add
330.21
KB
-rwxr-xr-x
2025-02-18 15:23
ssh-agent
350.22
KB
-rwxr-sr-x
2025-02-18 15:23
ssh-argv0
1.42
KB
-rwxr-xr-x
2020-05-13 14:12
ssh-copy-id
10.12
KB
-rwxr-xr-x
2016-03-09 18:04
ssh-keygen
390.23
KB
-rwxr-xr-x
2025-02-18 15:23
ssh-keyscan
406.23
KB
-rwxr-xr-x
2025-02-18 15:23
stat
79.05
KB
-rwxr-xr-x
2017-03-02 18:07
stdbuf
62.83
KB
-rwxr-xr-x
2017-03-02 18:07
sudo
133.6
KB
-rwsr-xr-x
2025-06-26 17:58
sudoedit
133.6
KB
-rwsr-xr-x
2025-06-26 17:58
sudoreplay
46.56
KB
-rwxr-xr-x
2025-06-26 17:58
sum
38.74
KB
-rwxr-xr-x
2017-03-02 18:07
systemd-analyze
1.43
MB
-rwxr-xr-x
2023-03-03 04:27
systemd-cat
34.43
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-cgls
291.22
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-cgtop
303.3
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-delta
62.59
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-detect-virt
34.42
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-path
42.42
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-resolve
327.21
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-run
367.52
KB
-rwxr-xr-x
2023-03-03 04:27
systemd-stdio-bridge
343.2
KB
-rwxr-xr-x
2023-03-03 04:27
tabs
14.23
KB
-rwxr-xr-x
2024-03-06 17:01
tac
34.73
KB
-rwxr-xr-x
2017-03-02 18:07
tail
62.92
KB
-rwxr-xr-x
2017-03-02 18:07
taskset
30.68
KB
-rwxr-xr-x
2022-06-14 21:28
tee
34.73
KB
-rwxr-xr-x
2017-03-02 18:07
test
46.7
KB
-rwxr-xr-x
2017-03-02 18:07
tic
70.71
KB
-rwxr-xr-x
2024-03-06 17:01
timedatectl
813
B
-rwxr-xr-x
2025-10-09 12:23
timedatectl.real
295.22
KB
-rwxr-xr-x
2023-03-03 04:27
timeout
55.38
KB
-rwxr-xr-x
2017-03-02 18:07
tload
14.44
KB
-rwxr-xr-x
2023-11-01 07:23
toe
14.34
KB
-rwxr-xr-x
2024-03-06 17:01
top
106.51
KB
-rwxr-xr-x
2023-11-01 07:23
touch
107.05
KB
-rwxr-xr-x
2022-09-20 15:27
tput
14.3
KB
-rwxr-xr-x
2024-03-06 17:01
tr
46.73
KB
-rwxr-xr-x
2017-03-02 18:07
truncate
50.8
KB
-rwxr-xr-x
2017-03-02 18:07
tset
18.42
KB
-rwxr-xr-x
2024-03-06 17:01
tsort
34.67
KB
-rwxr-xr-x
2017-03-02 18:07
tty
26.67
KB
-rwxr-xr-x
2017-03-02 18:07
tzselect
14.86
KB
-rwxr-xr-x
2025-02-07 13:30
ubuntu-core-launcher
124.66
KB
-rwsr-xr-x
2024-12-18 02:17
ucf
39.68
KB
-rwxr-xr-x
2016-03-16 20:58
ucfq
18.91
KB
-rwxr-xr-x
2016-03-16 20:58
ucfr
10.47
KB
-rwxr-xr-x
2016-03-16 20:58
unexpand
30.73
KB
-rwxr-xr-x
2017-03-02 18:07
unicode_stop
530
B
-rwxr-xr-x
2016-09-22 17:33
uniq
42.77
KB
-rwxr-xr-x
2017-03-02 18:07
unlink
26.64
KB
-rwxr-xr-x
2017-03-02 18:07
unlzma
67.11
KB
-rwxr-xr-x
2022-04-11 19:08
unshare
18.72
KB
-rwxr-xr-x
2022-06-14 21:28
unsquashfs
92.65
KB
-rwxr-xr-x
2021-09-15 13:04
unxz
67.11
KB
-rwxr-xr-x
2022-04-11 19:08
update-alternatives
46.61
KB
-rwxr-xr-x
2022-05-27 10:37
uptime
10.33
KB
-rwxr-xr-x
2023-11-01 07:23
users
30.7
KB
-rwxr-xr-x
2017-03-02 18:07
utmpdump
14.52
KB
-rwxr-xr-x
2022-06-14 21:28
vcs-run
6.75
KB
-rwxr-xr-x
2020-09-29 18:17
vi
1.02
MB
-rwxr-xr-x
2025-10-06 22:02
view
1.02
MB
-rwxr-xr-x
2025-10-06 22:02
vim.tiny
1.02
MB
-rwxr-xr-x
2025-10-06 22:02
vmstat
30.48
KB
-rwxr-xr-x
2023-11-01 07:23
w
18.48
KB
-rwxr-xr-x
2023-11-01 07:23
w.procps
18.48
KB
-rwxr-xr-x
2023-11-01 07:23
wall
26.73
KB
-rwxr-sr-x
2022-06-14 21:28
watch
23.14
KB
-rwxr-xr-x
2023-11-01 07:23
wc
42.8
KB
-rwxr-xr-x
2017-03-02 18:07
whereis
23.09
KB
-rwxr-xr-x
2022-06-14 21:28
which
946
B
-rwxr-xr-x
2023-07-28 23:46
who
46.86
KB
-rwxr-xr-x
2017-03-02 18:07
whoami
26.67
KB
-rwxr-xr-x
2017-03-02 18:07
wpa_passphrase
58
KB
-rwxr-xr-x
2024-08-05 12:27
x86_64
14.38
KB
-rwxr-xr-x
2022-06-14 21:28
xargs
66.21
KB
-rwxr-xr-x
2016-02-07 23:18
xdelta3
150.84
KB
-rwxr-xr-x
2016-02-17 14:02
xdg-open
38
B
-rwxr-xr-x
2025-10-09 12:23
xdg-settings
886
B
-rwxr-xr-x
2025-10-09 12:23
xxd
18.12
KB
-rwxr-xr-x
2025-10-06 22:08
xz
67.11
KB
-rwxr-xr-x
2022-04-11 19:08
xzcat
67.11
KB
-rwxr-xr-x
2022-04-11 19:08
xzcmp
5.39
KB
-rwxr-xr-x
2022-04-11 19:08
xzdiff
5.39
KB
-rwxr-xr-x
2022-04-11 19:08
xzegrep
5.56
KB
-rwxr-xr-x
2022-04-11 19:08
xzfgrep
5.56
KB
-rwxr-xr-x
2022-04-11 19:08
xzgrep
5.56
KB
-rwxr-xr-x
2022-04-11 19:08
xzless
1.78
KB
-rwxr-xr-x
2022-04-11 19:08
xzmore
2.12
KB
-rwxr-xr-x
2022-04-11 19:08
yes
30.67
KB
-rwxr-xr-x
2017-03-02 18:07
zdump
14.42
KB
-rwxr-xr-x
2025-02-07 13:34
Save
Rename
#! /bin/bash # Copyright (C) 1996-2016 Free Software Foundation, Inc. # This file is part of the GNU C Library. # The GNU C Library is free software; you can redistribute it and/or # modify it under the terms of the GNU Lesser General Public # License as published by the Free Software Foundation; either # version 2.1 of the License, or (at your option) any later version. # The GNU C Library is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU # Lesser General Public License for more details. # You should have received a copy of the GNU Lesser General Public # License along with the GNU C Library; if not, see # <http://www.gnu.org/licenses/>. # This is the `ldd' command, which lists what shared libraries are # used by given dynamically-linked executables. It works by invoking the # run-time dynamic linker as a command and setting the environment # variable LD_TRACE_LOADED_OBJECTS to a non-empty value. # We should be able to find the translation right at the beginning. TEXTDOMAIN=libc TEXTDOMAINDIR=/usr/share/locale RTLDLIST="/lib/ld-linux.so.2 /lib64/ld-linux-x86-64.so.2 /libx32/ld-linux-x32.so.2" warn= bind_now= verbose= while test $# -gt 0; do case "$1" in --vers | --versi | --versio | --version) echo 'ldd (Ubuntu GLIBC 2.23-0ubuntu11.3+esm8) 2.23' printf $"Copyright (C) %s Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " "2016" printf $"Written by %s and %s. " "Roland McGrath" "Ulrich Drepper" exit 0 ;; --h | --he | --hel | --help) echo $"Usage: ldd [OPTION]... FILE... --help print this help and exit --version print version information and exit -d, --data-relocs process data relocations -r, --function-relocs process data and function relocations -u, --unused print unused direct dependencies -v, --verbose print all information " printf $"For bug reporting instructions, please see:\\n%s.\\n" \ "<https://bugs.launchpad.net/ubuntu/+source/glibc/+bugs>" exit 0 ;; -d | --d | --da | --dat | --data | --data- | --data-r | --data-re | \ --data-rel | --data-relo | --data-reloc | --data-relocs) warn=yes shift ;; -r | --f | --fu | --fun | --func | --funct | --functi | --functio | \ --function | --function- | --function-r | --function-re | --function-rel | \ --function-relo | --function-reloc | --function-relocs) warn=yes bind_now=yes shift ;; -v | --verb | --verbo | --verbos | --verbose) verbose=yes shift ;; -u | --u | --un | --unu | --unus | --unuse | --unused) unused=yes shift ;; --v | --ve | --ver) echo >&2 $"ldd: option \`$1' is ambiguous" exit 1 ;; --) # Stop option processing. shift; break ;; -*) echo >&2 'ldd:' $"unrecognized option" "\`$1'" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; *) break ;; esac done nonelf () { # Maybe extra code for non-ELF binaries. return 1; } add_env="LD_TRACE_LOADED_OBJECTS=1 LD_WARN=$warn LD_BIND_NOW=$bind_now" add_env="$add_env LD_LIBRARY_VERSION=\$verify_out" add_env="$add_env LD_VERBOSE=$verbose" if test "$unused" = yes; then add_env="$add_env LD_DEBUG=\"$LD_DEBUG${LD_DEBUG:+,}unused\"" fi # The following command substitution is needed to make ldd work in SELinux # environments where the RTLD might not have permission to write to the # terminal. The extra "x" character prevents the shell from trimming trailing # newlines from command substitution results. This function is defined as a # subshell compound list (using "(...)") to prevent parameter assignments from # affecting the calling shell execution environment. try_trace() ( output=$(eval $add_env '"$@"' 2>&1; rc=$?; printf 'x'; exit $rc) rc=$? printf '%s' "${output%x}" return $rc ) case $# in 0) echo >&2 'ldd:' $"missing file arguments" echo >&2 $"Try \`ldd --help' for more information." exit 1 ;; 1) single_file=t ;; *) single_file=f ;; esac result=0 for file do # We don't list the file name when there is only one. test $single_file = t || echo "${file}:" case $file in */*) : ;; *) file=./$file ;; esac if test ! -e "$file"; then echo "ldd: ${file}:" $"No such file or directory" >&2 result=1 elif test ! -f "$file"; then echo "ldd: ${file}:" $"not regular file" >&2 result=1 elif test -r "$file"; then RTLD= ret=1 for rtld in ${RTLDLIST}; do if test -x $rtld; then dummy=`$rtld 2>&1` if test $? = 127; then verify_out=`${rtld} --verify "$file"` ret=$? case $ret in [02]) RTLD=${rtld}; break;; esac fi fi done case $ret in 0|2) try_trace "$RTLD" "$file" || result=1 ;; 1) # This can be a non-ELF binary or no binary at all. nonelf "$file" || { echo $" not a dynamic executable" result=1 } ;; *) echo 'ldd:' ${RTLD} $"exited with unknown exit code" "($ret)" >&2 exit 1 ;; esac else echo 'ldd:' $"error: you do not have read permission for" "\`$file'" >&2 result=1 fi done exit $result # Local Variables: # mode:ksh # End: